{
  "diagnostic.displayByAle": true,
  "suggest.noselect": false,
  "suggest.echodocSupport": true,
  "suggest.completionItemKindLabels": {
    "function": " ",
    "method": " ",
    "variable": " ",
    "field": " ",
    "class": " ",
    "struct": " ",
    "interface": "謁",
    "module": " ",
    "property": " ",
    "value": " ",
    "enum": " ",
    "enumMember": " ",
    "reference": " ",
    "keyword": " ",
    "color": " ",
    "unit": " ",
    "snippet": " ",
    "text": "荒",
    "file": " ",
    "event": " ",
    "folder": " ",
    "constant": " ",
    "operator": " ",
    "typeParameter": " ",
    "default": " "
  },
  "coc.preferences.formatOnSaveFiletypes": [
    "markdown",
    "html",
    "yaml",
    "css",
    "javascript",
    "typescript",
    "typescriptreact",
    "javascriptreact",
    "json",
    "java",
    "graphql"
  ],
  "list.indicator": ">",
  "list.selectedSignText": " ",
  "emmet.includeLanguages": {
    "vue-html": "html",
    "javascript": "javascriptreact"
  },
  "explorer.width": 30,
  "explorer.icon.enableNerdfont": true,
  "explorer.previewAction.onHover": false,
  "explorer.icon.enableVimDevicons": false,
  "explorer.file.showHiddenFiles": true,
  "explorer.buffer.showHiddenBuffers": true,
  "explorer.keyMappings.global": {
    "<cr>": [
      "expandable?",
      [
        "expanded?",
        "collapse",
        "expand"
      ],
      "open"
    ],
    "o": [
      "expandable?",
      [
        "expanded?",
        "collapse",
        "expand"
      ],
      "open"
    ]
  },
  "coc-actions.useCursorLine": true,
  "python.venvPath": "/home/follie/.local/share/pyenv/versions",
  "python.pythonPath": "python3",
  "python.linting.enabled": true,
  "python.linting.banditEnabled": true,
  "clangd.arguments": [
    "-j=2",
    "--background-index",
    "--clang-tidy",
    "--completion-style=detailed",
    "--pch-storage=memory",
    "--header-insertion=iwyu",
    "--header-insertion-decorators"
  ],
  "clangd.semanticHighlighting": true,
  "languageserver": {
    "lua-language-server": {
      "command": "/home/follie/.local/share/nvim/lsp/lua-language-server/bin/Linux/lua-language-server",
      "args": [
        "-E",
        "/home/follie/.local/share/nvim/lsp/lua-language-server/main.lua"
      ],
      "filetypes": [
        "lua"
      ],
      "rootPatterns": [
        ".git/",
        ".hg/",
        ".projectile"
      ],
      "settings": {
        "Lua": {
          "completion": {
            "callSnippet": "Replace"
          },
          "hint": {
            "enable": true
          },
          "telemetry": {
            "enable": false
          }
        }
      }
    },
    "ccls": {
      "command": "ccls",
      "filetypes": [
        "c",
        "cc",
        "cpp",
        "c++",
        "objc",
        "objcpp"
      ],
      "rootPatterns": [
        ".ccls",
        "compile_commands.json",
        ".git/",
        ".hg/",
        ".projectile"
      ],
      "initializationOptions": {
        "cache": {
          "directory": "/tmp/ccls"
        },
        "highlight": {
          "lsRanges": true
        }
      }
    }
  }
}
